
QGIS Application - Bug report #17068

rotation map tool  now produces reversed label orientation

2017-08-25 11:04 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Labelling

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24967

Description

Hi, 

I suppose that the recent cleanups to get rotation values homogeneous between symbol and labels are triggering that. 

So rotation map tool should now return some (360 - input value) to have the labels oriented like the preview show when rotating a label.

Associated revisions

Revision 0f407e1e - 2017-09-04 04:23 AM - Nyall Dawson

Fix rotate label tool results in inverted rotation

Fix #17068

History

#1 - 2017-09-04 06:18 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|0f407e1e5d924fede147e62f2c6db3112a7be31a.
